<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>libodf documentation</title>
<link rel="shortcut icon" href="images/shortcut_icon_2.png" />
<link rel="stylesheet" href="odf.css" type="text/css" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="description" content="The HTML version of the libodf's documentation files" />
<meta name="keywords" content="ODF, Open, Descent, Foundation, libodf, html, documentation, README, LICENSE, INSTALL" />
<meta name="Generator" content="vim" />
<meta name="robots" content="index, follow" />

</head>

<body>
<h1>INSTALLING libodf</h1>

First of all, you need to download either the sources or a binary from
an online repository or our <a href="http://odf.sf.net">website</a>. Contact
see the 'README' file.
	
	<h2>Linuxers</h2>
	
	<h3>from source</h3>
	<ul>
		<li>compiling: Simply type "make"</li>
		<li>testing: Simply type:
			<ul>
			<li>cd test</li>
			<li>make</li>
			<li>./test</li>
			</ul>
			</li>
		<li>installing: Simply type "make install"</li>
	</ul>
	
	<h3>packages</h3>
	You can download some RPMs for SuSE in our online repository. The URL is:
	http://www.odf-online.org/repos/OpenSuSE/11.1.
	
	<h3>binaries</h3>
	Not available yet. Wait for the first release and look on our homepage.
	
	<h2>Windowsers</h2>
	
	<h3>from source</h3>
	<ul>
		<li>DEV-CPP-compiling: Use the libodf.dev file</li>
		<li>other compilers were not tested by now</li>
	</ul>
	
	<h3>binaries</h3>
	Not available yet. Wait for the first release and look on our homepage.
	
	
	<h2>Other systems</h2>
	
	We could not test the library for other systems. If libodf does not compile on
	your system, let us know and we will try to get it run! (see contact section)

</body>

